import { IsNotEmpty } from "class-validator";

export class BaseContactPageCmsDto {
    @IsNotEmpty()
    pageTitle: string;

    @IsNotEmpty()
    pageDescription: string;

    @IsNotEmpty()
    formTitle: string;

    @IsNotEmpty()
    formDescription: string;

    @IsNotEmpty()
    buttonText: string;

    @IsNotEmpty()
    mapUrl: string;

    @IsNotEmpty()
    address: string;

    @IsNotEmpty()
    contact: string;

    @IsNotEmpty()
    email: string;
}