import { CoreEntity } from "src/core/core.entity";
import { Column, Entity } from "typeorm";

@Entity("contact_page_cms")
export class ContactPageCmsEntity extends CoreEntity {
    @Column({ default: null, nullable: true })
    pageTitle: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    pageDescription: string;

    @Column({ default: null, nullable: true })
    formTitle: string;

    @Column({ default: null, nullable: true, type: "longtext" })
    formDescription: string;

    @Column({ default: null, nullable: true })
    buttonText: string;

    @Column({ default: null, nullable: true })
    mapUrl: string;

    @Column({ default: null, nullable: true })
    address: string;

    @Column({ default: null, nullable: true })
    contact: string;

    @Column({ default: null, nullable: true })
    email: string;
}
